%加载数据
%%% A组:gain_noise=0.25
% load('gain_noise_0.25_p_var_0.05_m_var_0.0025.mat')
% load('gain_noise_0.25_p_var_0.05_m_var_0.05.mat')
% load('gain_noise_0.25_p_var_0.25_m_var_0.25.mat')

%%% B组:gain_noise=1
load('gain_noise_1_p_var_0.1_m_var_0.01.mat')
load('gain_noise_1_p_var_0.1_m_var_0.2.mat')
load('gain_noise_1_p_var_0.1_m_var_0.1.mat')

%%% C组:gain_noise=3
% load('gain_noise_3_p_var_0.3_m_var_0.03.mat')
% load('gain_noise_3_p_var_0.3_m_var_0.6.mat')
% load('gain_noise_3_p_var_0.3_m_var_3.mat')

%% 绘制图像
figure
plot(vh_real_1,'g+','LineWidth',1);
hold on;
plot(vh_kalman_1,'y--','LineWidth',1);
hold on;
plot(vh_kalman_2,'b:','LineWidth',1);
hold on;
plot(vh_kalman_3,'k-','LineWidth',1);
hold on;

%%% A组:gain_noise=0.25
l = legend('Real Velocity','Kalman Velocity 0.0025','Kalman Velocity 0.05','Kalman Velocity 0.25');

% %%% B组:gain_noise=1
% l = legend('Real Velocity','Kalman Velocity 0.01','Kalman Velocity 0.2','Kalman Velocity 1');
% 
% %%% C组:gain_noise=3
% l = legend('Real Velocity','Kalman Velocity 0.03','Kalman Velocity 0.6','Kalman Velocity 3');

set(l,'Fontsize',9);
grid on
xlim([0,10000]);
ylim([-1.3,1.3]);
title('comparaison','fontsize',11);
hold off;
