%%%%%%%%%%%%%%%%%%%%%%%%
%  cleaning workspace
%clear all;
%close all;
%clc;
%% Initialize the ROS environment
% try
% rosinit; 
% end
%% Determine the sample time
%fixed_step_size = 1/120*2;
R = 1.0;
omega = 1.0;
z=1.0;

%ɨƵ����
Model_Channel = struct('YAW',1,'YAWRATE',2,'POS_X',3,'POS_Y',4,'POS_Z',5,'VEL_X',6,'VEL_Y',7,'VEL_Z',8);
model_channel = Model_Channel.POS_Z;

PARAM_time_start =  3;%wait n seconds before generating sweep signal      
                                    % n sec for quadrotor to stablize itself
PARAM_C1 = 4.0;
PARAM_C2 = 0.0187;
PARAM_w_min = 0.5;%0.3 0.4 0.5
PARAM_w_max = 12;%10 11 12


%generated signal 
%step signal + sweep signal(according to <<Aircraft and Rotocraft System Identification>> by Mark B.Tischler)
%step signal param
%protype:zero-high-zero-low-zero
%     ______
%     |     |
%_____|     |_____      _____
%                 |     |
%                 |_____|
fcnCmdMag = 1; %Amplitude of step signal
zero1_time = 3;
high_time = 5;
zero2_time = 5;
low_time = 5;
step_period = zero1_time+high_time+zero2_time+low_time;
zero3_time = 5;
%sweep signal time > 5*2*pi/w_min
PARAM_T_rec = step_period + zero3_time + 120;  %runtime of the command
PARAM_isNoiseOn = false;
PARAM_time_end = PARAM_time_start + PARAM_T_rec;    %command ends after runtime
PARAM_throttle_duration = PARAM_time_end + 3;
                                    % 3 more sec to stablize quadrotor

if((5*2*pi/PARAM_w_min)>PARAM_T_rec)
    disp('PARAM_T_rec is inproper: smaller than 5 times the longest period')
    PARAM_T_rec = ceil(5*2*pi/PARAM_w_min)
end

 fcnNumber = 4;
    % 1: step   2: sin   3: chirp  4: step+chirp
    fcnSinFreq = 50.0; %rad/s,used in sin signal
   
    
    if(fcnNumber >4)
        alskdfj = alskdfj + 1;
    end
  
    if(fcnNumber == 1|| fcnNumber == 2)
        PARAM_time_start =  3;     
        PARAM_time_end = PARAM_time_start + 20;
        PARAM_throttle_duration = PARAM_time_end + 3;
    end

    
%cifer_model