%% tello1
%pos
figure('Name','tello1_pos')
subplot(4,1,1)
plot(tello_timestamp,tello1_states(:,1),tello_timestamp,tello1_states_d(:,1))
xlabel('t(s)')
ylabel('x(m)')
legend('x','x_d')
subplot(4,1,2)
plot(tello_timestamp,tello1_states(:,2),tello_timestamp,tello1_states_d(:,2))
xlabel('t(s)')
ylabel('y(m)')
legend('y','y_d')
subplot(4,1,3)
plot(tello_timestamp,tello1_states(:,3),tello_timestamp,tello1_states_d(:,3))
xlabel('t(s)')
ylabel('z(m)')
legend('z','z_d')
subplot(4,1,4)
plot(tello_timestamp,tello1_states(:,4),tello_timestamp,tello1_states_d(:,4))
xlabel('t(s)')
ylabel('yaw(rad)')
legend('yaw','yaw\_d')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello1_pos'], 'fig')
close

%pos err
figure('Name','tello1_pos err')
subplot(4,1,1)
plot(tello_timestamp,tello1_states(:,1)-tello1_states_d(:,1))
xlabel('t(s)')
ylabel('ex(m)')
legend('ex')
subplot(4,1,2)
plot(tello_timestamp,tello1_states(:,2)-tello1_states_d(:,2))
xlabel('t(s)')
ylabel('ey(m)')
legend('ey')
subplot(4,1,3)
plot(tello_timestamp,tello1_states(:,3)-tello1_states_d(:,3))
xlabel('t(s)')
ylabel('ez(m)')
legend('ez')
subplot(4,1,4)
plot(tello_timestamp,tello1_states(:,4)-tello1_states_d(:,4))
xlabel('t(s)')
ylabel('eyaw(rad)')
legend('eyaw')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello1_pos err'], 'fig')
close
%vel
figure('Name','tello1_vel')
subplot(3,1,1)
plot(tello_timestamp,tello1_states(:,5),tello_timestamp,tello1_u(:,1))
xlabel('t(s)')
ylabel('vx(m)')
legend('vx','vx_d')
subplot(3,1,2)
plot(tello_timestamp,tello1_states(:,6),tello_timestamp,tello1_u(:,2))
xlabel('t(s)')
ylabel('vy(m)')
legend('vy','vy_d')
subplot(3,1,3)
plot(tello_timestamp,tello1_states(:,7),tello_timestamp,tello1_u(:,3))
xlabel('t(s)')
ylabel('vz(m)')
legend('vz','vz_d')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello1_vel'], 'fig')
close
%vel err
figure('Name','tello1_vel err')
subplot(3,1,1)
plot(tello_timestamp,tello1_states(:,5)-tello1_u(:,1))
xlabel('t(s)')
ylabel('evx(m)')
legend('evx')
subplot(3,1,2)
plot(tello_timestamp,tello1_states(:,6)-tello1_u(:,2))
xlabel('t(s)')
ylabel('evy(m)')
legend('evy')
subplot(3,1,3)
plot(tello_timestamp,tello1_states(:,7)-tello1_u(:,3))
xlabel('t(s)')
ylabel('evz(m)')
legend('evz')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello1_vel err'], 'fig')
close
%% tello2
%pos
figure('Name','tello2_pos')
subplot(4,1,1)
plot(tello_timestamp,tello2_states(:,1),tello_timestamp,tello2_states_d(:,1))
xlabel('t(s)')
ylabel('x(m)')
legend('x','x_d')
subplot(4,1,2)
plot(tello_timestamp,tello2_states(:,2),tello_timestamp,tello2_states_d(:,2))
xlabel('t(s)')
ylabel('y(m)')
legend('y','y_d')
subplot(4,1,3)
plot(tello_timestamp,tello2_states(:,3),tello_timestamp,tello2_states_d(:,3))
xlabel('t(s)')
ylabel('z(m)')
legend('z','z_d')
subplot(4,1,4)
plot(tello_timestamp,tello2_states(:,4),tello_timestamp,tello2_states_d(:,4))
xlabel('t(s)')
ylabel('yaw(rad)')
legend('yaw','yaw\_d')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello2_pos'], 'fig')
close

%pos err
figure('Name','tello2_pos err')
subplot(4,1,1)
plot(tello_timestamp,tello2_states(:,1)-tello2_states_d(:,1))
xlabel('t(s)')
ylabel('ex(m)')
legend('ex')
subplot(4,1,2)
plot(tello_timestamp,tello2_states(:,2)-tello2_states_d(:,2))
xlabel('t(s)')
ylabel('ey(m)')
legend('ey')
subplot(4,1,3)
plot(tello_timestamp,tello2_states(:,3)-tello2_states_d(:,3))
xlabel('t(s)')
ylabel('ez(m)')
legend('ez')
subplot(4,1,4)
plot(tello_timestamp,tello2_states(:,4)-tello2_states_d(:,4))
xlabel('t(s)')
ylabel('eyaw(rad)')
legend('eyaw')

mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello2_pos err'], 'fig')
close

%vel
figure('Name','tello2_vel')
subplot(3,1,1)
plot(tello_timestamp,tello2_states(:,5),tello_timestamp,tello2_u(:,1))
xlabel('t(s)')
ylabel('vx(m)')
legend('vx','vx_d')
subplot(3,1,2)
plot(tello_timestamp,tello2_states(:,6),tello_timestamp,tello2_u(:,2))
xlabel('t(s)')
ylabel('vy(m)')
legend('vy','vy_d')
subplot(3,1,3)
plot(tello_timestamp,tello2_states(:,7),tello_timestamp,tello2_u(:,3))
xlabel('t(s)')
ylabel('vz(m)')
legend('vz','vz_d')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello2_vel'], 'fig')
close

%vel err
figure('Name','tello2_vel err')
subplot(3,1,1)
plot(tello_timestamp,tello2_states(:,5)-tello2_u(:,1))
xlabel('t(s)')
ylabel('evx(m)')
legend('evx')
subplot(3,1,2)
plot(tello_timestamp,tello2_states(:,6)-tello2_u(:,2))
xlabel('t(s)')
ylabel('evy(m)')
legend('evy')
subplot(3,1,3)
plot(tello_timestamp,tello2_states(:,7)-tello2_u(:,3))
xlabel('t(s)')
ylabel('evz(m)')
legend('evz')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello2_vel err'], 'fig')
close

%% tello3
%pos
figure('Name','tello3_pos')
subplot(4,1,1)
plot(tello_timestamp,tello3_states(:,1),tello_timestamp,tello3_states_d(:,1))
xlabel('t(s)')
ylabel('x(m)')
legend('x','x_d')
subplot(4,1,2)
plot(tello_timestamp,tello3_states(:,2),tello_timestamp,tello3_states_d(:,2))
xlabel('t(s)')
ylabel('y(m)')
legend('y','y_d')
subplot(4,1,3)
plot(tello_timestamp,tello3_states(:,3),tello_timestamp,tello3_states_d(:,3))
xlabel('t(s)')
ylabel('z(m)')
legend('z','z_d')
subplot(4,1,4)
plot(tello_timestamp,tello3_states(:,4),tello_timestamp,tello3_states_d(:,4))
xlabel('t(s)')
ylabel('yaw(rad)')
legend('yaw','yaw\_d')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello3_pos'], 'fig')
close

%pos err
figure('Name','tello3_pos err')
subplot(4,1,1)
plot(tello_timestamp,tello3_states(:,1)-tello3_states_d(:,1))
xlabel('t(s)')
ylabel('ex(m)')
legend('ex')
subplot(4,1,2)
plot(tello_timestamp,tello3_states(:,2)-tello3_states_d(:,2))
xlabel('t(s)')
ylabel('ey(m)')
legend('ey')
subplot(4,1,3)
plot(tello_timestamp,tello3_states(:,3)-tello3_states_d(:,3))
xlabel('t(s)')
ylabel('ez(m)')
legend('ez')
subplot(4,1,4)
plot(tello_timestamp,tello3_states(:,4)-tello3_states_d(:,4))
xlabel('t(s)')
ylabel('eyaw(rad)')
legend('eyaw')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello3_pos err'], 'fig')
close

%vel
figure('Name','tello3_vel')
subplot(3,1,1)
plot(tello_timestamp,tello3_states(:,5),tello_timestamp,tello3_u(:,1))
xlabel('t(s)')
ylabel('vx(m)')
legend('vx','vx_d')
subplot(3,1,2)
plot(tello_timestamp,tello3_states(:,6),tello_timestamp,tello3_u(:,2))
xlabel('t(s)')
ylabel('vy(m)')
legend('vy','vy_d')
subplot(3,1,3)
plot(tello_timestamp,tello3_states(:,7),tello_timestamp,tello3_u(:,3))
xlabel('t(s)')
ylabel('vz(m)')
legend('vz','vz_d')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello3_vel'], 'fig')
close

%vel err
figure('Name','tello3_vel err')
subplot(3,1,1)
plot(tello_timestamp,tello3_states(:,5)-tello3_u(:,1))
xlabel('t(s)')
ylabel('evx(m)')
legend('evx')
subplot(3,1,2)
plot(tello_timestamp,tello3_states(:,6)-tello3_u(:,2))
xlabel('t(s)')
ylabel('evy(m)')
legend('evy')
subplot(3,1,3)
plot(tello_timestamp,tello3_states(:,7)-tello3_u(:,3))
xlabel('t(s)')
ylabel('evz(m)')
legend('evz')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello3_vel err'], 'fig')
close


%% tello4
%pos
figure('Name','tello4_pos')
subplot(4,1,1)
plot(tello_timestamp,tello4_states(:,1),tello_timestamp,tello4_states_d(:,1))
xlabel('t(s)')
ylabel('x(m)')
legend('x','x_d')
subplot(4,1,2)
plot(tello_timestamp,tello4_states(:,2),tello_timestamp,tello4_states_d(:,2))
xlabel('t(s)')
ylabel('y(m)')
legend('y','y_d')
subplot(4,1,3)
plot(tello_timestamp,tello4_states(:,3),tello_timestamp,tello4_states_d(:,3))
xlabel('t(s)')
ylabel('z(m)')
legend('z','z_d')
subplot(4,1,4)
plot(tello_timestamp,tello4_states(:,4),tello_timestamp,tello4_states_d(:,4))
xlabel('t(s)')
ylabel('yaw(rad)')
legend('yaw','yaw\_d')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello4_pos'], 'fig')
close

%pos err
figure('Name','tello4_pos err')
subplot(4,1,1)
plot(tello_timestamp,tello4_states(:,1)-tello4_states_d(:,1))
xlabel('t(s)')
ylabel('ex(m)')
legend('ex')
subplot(4,1,2)
plot(tello_timestamp,tello4_states(:,2)-tello4_states_d(:,2))
xlabel('t(s)')
ylabel('ey(m)')
legend('ey')
subplot(4,1,3)
plot(tello_timestamp,tello4_states(:,3)-tello4_states_d(:,3))
xlabel('t(s)')
ylabel('ez(m)')
legend('ez')
subplot(4,1,4)
plot(tello_timestamp,tello4_states(:,4)-tello4_states_d(:,4))
xlabel('t(s)')
ylabel('eyaw(rad)')
legend('eyaw')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello4_pos err'], 'fig')
close

%vel
figure('Name','tello4_vel')
subplot(3,1,1)
plot(tello_timestamp,tello4_states(:,5),tello_timestamp,tello4_u(:,1))
xlabel('t(s)')
ylabel('vx(m)')
legend('vx','vx_d')
subplot(3,1,2)
plot(tello_timestamp,tello4_states(:,6),tello_timestamp,tello4_u(:,2))
xlabel('t(s)')
ylabel('vy(m)')
legend('vy','vy_d')
subplot(3,1,3)
plot(tello_timestamp,tello4_states(:,7),tello_timestamp,tello4_u(:,3))
xlabel('t(s)')
ylabel('vz(m)')
legend('vz','vz_d')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello4_vel'], 'fig')
close

%vel err
figure('Name','tello4_vel err')
subplot(3,1,1)
plot(tello_timestamp,tello4_states(:,5)-tello4_u(:,1))
xlabel('t(s)')
ylabel('evx(m)')
legend('evx')
subplot(3,1,2)
plot(tello_timestamp,tello4_states(:,6)-tello4_u(:,2))
xlabel('t(s)')
ylabel('evy(m)')
legend('evy')
subplot(3,1,3)
plot(tello_timestamp,tello4_states(:,7)-tello4_u(:,3))
xlabel('t(s)')
ylabel('evz(m)')
legend('evz')
mkdir(['./figure/',fignum])
saveas(gcf, ['./figure/',fignum,'/','tello4_vel err'], 'fig')
close

save(['./figure/',fignum,'/','data'],'tello_timestamp','','tello1_states','tello2_states','tello3_states','tello4_states'...
    ,'tello1_u','tello2_u','tello3_u','tello4_u')

